backupApp.controller('SavedBackupController', 
    function ($rootScope
        , $scope
        , $routeParams
        , $location
        , $timeout
        , AppService
        , AppUtils
        , SystemInfo
        , DialogService
        , EditBackupService
        , gettext
        , gettextCatalog)
    {
        $scope.BackupID = $routeParams.backupid;
        // console.log($scope)

        AppService.get('/backup/' + $routeParams.backupid).then(function (response) {

            $scope.rawddata = response.data.data;
            $scope.Backup = angular.copy($scope.rawddata.Backup);

        }, function () {
            AppUtils.connectionError.apply(AppUtils, arguments);
            $location.path('/');
        });
    }
);